      CLEAR                        ; Clear the screen
      LOCATE 1,0                   ; Position the cursor
      TRANSMIT "C DIAL"            ; Transmit Telenet's Area Code inquiry
      TRANSMIT S2                  ; Transmit the Area Code  (stored in S2)
      TRANSMIT "/"                 ; Transmit /
      TRANSMIT S9                  ; Transmit the Baud Rate (stored in S9)
      TRANSMIT ","                 ; Transmit the delimiter
      TRANSMIT S8                  ; Transmit the ID (stored in S8)
      TRANSMIT "!"                 ; Transmit a Carriage Return
      WAITFOR "="                  ; Wait for the "PASSWORD=" prompt
      TRANSMIT S7                  ; Transmit the user Password (stored in S7)
      TRANSMIT "!"                 ; Transmit a Carriage Return
      CLEAR                        ; Clear the screen
      RGET S5                      ; Get the CR echoed from the Transmit
      RGET S5                      ; Get the CR that preceeds PCP messages
      LOCATE 1,0                   ; position the cursor
      RGET S5                      ; Get the actual message
      PAUSE 1                      ; Pause for 1 second

      FIND S5 "CONNECT"            ; Look for the "CONNECT" message

      IF NOT FOUND                 ; If it isn' there
         CLEAR                     ; Clear the screen
         LOCATE 1,0                ; Position the cursor
         MESSAGE "THE REMOTE PCP IS BUSY....RETURNING TO THE MAIN MENU"
         PAUSE 2                   ; Pause for 2 seconds
         CLEAR                     ; Clear the screen
         LOCATE 1,0                ; Position the cursor
         EXECUTE "INTRO.CMD"       ; Call ut the Main Menu
      ENDIF

                                   ; SEE BELOW FOR MORE INFORMATION !!
BEGIN:
   CLEAR
   LOCATE 4,0
   MESSAGE "                         ͵ ATLANTA BBS NUMBERS ͻ"
   MESSAGE "                                                    "
   MESSAGE "                           1 - ALTGATE              "
   MESSAGE "                           2 - Flagship Express     "
   MESSAGE "                           3 - BYTE Connection      "
   MESSAGE "                           4 - Microstuf BBS        "
   MESSAGE "                           5 - Software Link BBS    "
   MESSAGE "                           6 - PC-Exchange BBS      "
   MESSAGE "                           M - Manual Dial          "
   MESSAGE "                           Q - Return to MAIN menu  "
   MESSAGE "                                                    "
   MESSAGE "                         ͹"
   MESSAGE "                          ENTER THE # OF THE BBS OF "
   MESSAGE "                          YOUR CHOICE:              "
   MESSAGE "                         ͼ"


   LOCATE 17,40                        ; OTHER STUFF:
   MESSAGE  " "
   LOCATE 17,40                        ; When the number that you dialed is
   GET S5 1                            ; busy, you will get a message that
                                       ; says "returning to the City Menu"
   SWITCH S5                           ; If you want to keep trying the number
                                       ; just select it again, and it will be
      CASE "1"                         ; re-dialed.
         ASSIGN S3 "ATLGATE"           ; If you are connected to the number, you
         ASSIGN S4 "9281876"           ; will get a "CONNECT" message, and you
      ENDCASE                          ; can log on to the BBS as you normally do.
                                       ; After you log off the BBS you will see a
      CASE "2"                         ; message "BUSY"  This will tell you that
         ASSIGN S3 "Flagship Express"  ; you have been disconnected from the BBS
         ASSIGN S4 "9344515"           ; BUT you are still connected to the PCP
      ENDCASE                          ; remote city trunk.  Press ALT-H to
                                       ; disconnect from PCP completely, and then
      CASE "3"                         ; ALT-F5 to call up the Command menu and
         ASSIGN S3 "BYTE Connection"   ; select PCP to start the process all over
         ASSIGN S4 "9410159"           ; again.
      ENDCASE                          ; If when you are trying to connect to
                                       ; the BBS you get a message "MANUAL ANSWER"
      CASE "4"                         ; PCP has screwed up.  This is an error on
         ASSIGN S3 "Microstuf_BBS"     ; the PCP network and should be reported
         ASSIGN S4 "9988048"           ; if it happens a lot.  When it does happen
      ENDCASE                          ; you can try hitting <enter> a couple of
                                       ; times to clear it.  If the system just
      CASE "5"                         ; does nothing, you will be forced to hang
         ASSIGN S3 "Software Link"     ; up (ALT-H) and start the process from
         ASSIGN S4 "9986737"           ; the beginning.
      ENDCASE

      CASE "6"
         ASSIGN S3 "PC-Exchange BBS"
         ASSIGN S4 "9776686"
      ENDCASE

      CASE "M"
         CLEAR
         LOCATE 5,20
         MESSAGE "NUMBER TO DIAL:"
         LOCATE 5,36
         ASSIGN S3 "MANUAL DIAL"
         GET S4
      ENDCASE

      CASE "Q"
         CLEAR
         TRANSMIT "!@!"
         WAITFOR "@"
         TRANSMIT "D!"
         WAITFOR "@"
         CLEAR
         LOCATE 1,0
         PAUSE 1
         EXECUTE "INTRO.CMD"
      ENDCASE

      DEFAULT
         MESSAGE "^G"
         LOCATE 17,40
         GOTO BEGIN
      ENDCASE

ENDSWITCH
      CLEAR
      LOCATE 1,0
      MESSAGE "CONNECTED TO PCP"
      MESSAGE S1
      MESSAGE "DIALING"
      MESSAGE S3


      TRANSMIT "ATZ!"
      WAITFOR "OK" 10
      TRANSMIT "ATDT"
      TRANSMIT S4
      TRANSMIT "!"
      RGET S0
      RGET S0 80 40
      RGET S0
      PAUSE 2

      FIND S0 "BUSY"
      IF FOUND
         CLEAR
         MESSAGE "THE REMOTE PCP IS BUSY....RETURNING TO THE CITY MENU"
         PAUSE 2
         CLEAR
         LOCATE 1,0
         GOTO BEGIN
      ENDIF

      FIND S0 "CONNECT"
      IF FOUND
         SET PARITY NONE
         SET DATABITS 8
      ELSE
         CLEAR
         MESSAGE "THE REMOTE PCP IS BUSY....RETURNING TO THE CITY MENU"
         PAUSE 2
         CLEAR
         LOCATE 1,0
         GOTO BEGIN
      ENDIF

      ALARM 1
      EXIT